package cn.wisenergy.mapper;

import cn.wisenergy.model.app.RecommendUser;
import cn.wisenergy.model.vo.RecommendUserVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


import java.util.List;
import java.util.Map;

/**
 * @author zw
 */
public interface RecommendUserMapper extends BaseMapper<RecommendUser> {

    /**
     * 获取用户直推信息
     * @param userId 用户Id
     * @return 用户直推信息
     */
    RecommendUser getByUserId(String userId);

    //根据用户推荐人的userid,查询数据库用户直推表，看推荐人用户是否存在
    Integer zcByUserId(String userid);


    /**
     * 获取用户的直推用户总人数
     * @param userId 用户Id
     * @return 直推用户总人数
     */
    Integer getRecommendUserCountByUserId(String userId);

    /**
     * 新增用户直推信息
     * @param recommendUser
     * @return
     */
    int add(RecommendUser recommendUser);


    /**
     * 分页查询所有用户信息
     * @param map
     * @return
     */
    List<RecommendUserVo> getRecommendUserList(Map<String, Object> map);

    /**
     * 统计总记录数
     * @param map 入参
     * @return 结果
     */
    int count( Map<String, Object> map);

    /**
     * 获取所有的用户
     * @return
     */
    List<RecommendUser> getAll();
}
